=== debian/control ===
Source: pivy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all-dev,
               libsoqt4-dev (>= 1.5.0-2.1),
               libcoin80-dev,
               libsimage-dev,
               swig
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/pivy
Vcs-Git: https://salsa.debian.org/science-team/pivy.git
Homepage: http://pivy.coin3d.org/
X-Python-Version: >= 2.4

Package: python-pivy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-qt4-gl
Provides: ${python:Provides}
Description: Coin binding for Python
 Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
 with a C++ API. Coin uses scene-graph data structures to render real-time
 graphics suitable for mostly all kinds of scientific and engineering
 visualization applications.
 Pivy allows:
 .
    * Development of Coin applications and extensions in Python
    * Interactive modification of Coin programs from within the
      Python interpreter at runtime
    * Incorporation of Scripting Nodes into the scene graph which
      are capable of executing Python code and callbacks
    * Use of Coin within PyQt4 applications with the quarter module
