=== debian/watch ===
version=3
http://pivy.coin3d.org/download/pivy/releases/(\d\.\d\.\d)/Pivy-(\d\.\d\.\d)\.tar\.gz
