=== debian/changelog ===
pivy (0.6.4-1) unstable; urgency=medium

  * [89980e8] Correct alignment in d/control
  * Upload to unstable

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 20 Dec 2018 11:15:00 -0600

pivy (0.6.4-1~exp1) experimental; urgency=medium

  [ Kurt Kremitzki ]
  * [fd3e9ff] Update d/watch to Bitbucket upstream
  * [1240704] New upstream version 0.6.4
  * [e146f09] Update packaging for 0.6.4 & Python 3 build
  * [32f691c] Update coin/soqt deps  (Closes: #915371)
  * [928033b] Update python3 build version
  * [1e62848] Use new setup.py
  * [bb4d9b1] Use multiarch cmake prefix path
  * [3ee4cb2] Add fakeheaders
  * [8af0d83] Add py37 patch

  [ Leopold Palomo-Avellaneda ]
  * [082b614] Added patch to fix CMake Vars
  * [6444c2c][a3f8ccd] Added patch to make a workaround for Includes in swig
  * [b1cb822] Activating the patches
  * [e408ffc][52eb28e][3796801]
            Added cmake and qt5 correct build dependencies.
    	      Added QT_SELECT=qt5 to built against Qt5 (Closes: #875099)
  * [fb3f5a9] Bump Standards to 4.2.1. No changes
  * [3a0b6ea] Added description to a patch

  [ Anton Gladky ]
  * [0496ce5] Fix typo in d/changelog
  * [2d065b0] Drop debian/source/options

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 15 Dec 2018 13:51:48 -0600
