=== debian/watch ===
version=3
https://bitbucket.org/Coin3D/pivy/downloads?tab=tags /Coin3D/pivy/get/(\d.*)\.tar\.(?:bz2|gz)
