## pivy 0.6.5

=== CMakeLists.txt ===
project(pivy_cmake_setup NONE)
cmake_minimum_required(VERSION 3.5)


find_package(Coin CONFIG REQUIRED)

if (Coin_INCLUDE_DIR)
    MESSAGE(STATUS "COIN_FOUND: true")
else()
    MESSAGE(STATUS "COIN_FOUND: false")
endif()

MESSAGE(STATUS "COIN_INCLUDE_DIR: ${Coin_INCLUDE_DIR}")
MESSAGE(STATUS "COIN_LIB_DIR: ${Coin_LIB_DIR}")
MESSAGE(STATUS "COIN_VERSION: ${Coin_VERSION}")



find_package(soqt CONFIG QUIET)

if (SoQt_INCLUDE_DIRS)
    MESSAGE(STATUS "SOQT_FOUND: true")
else()
    MESSAGE(STATUS "SOQT_FOUND: false")
endif()

MESSAGE(STATUS "SOQT_INCLUDE_DIR: ${SoQt_INCLUDE_DIRS}")
MESSAGE(STATUS "SOQT_LIB_DIR: ${SoQt_LIBRARY_DIRS}")
MESSAGE(STATUS "SOQT_VERSION: ${SoQt_VERSION}")
