=== debian/changelog ===
pivy (0.6.5-1ubuntu0.22.04.1) jammy; urgency=medium

  * Fix exception in pivy cast functions with Python 3.10 (LP: #2000840)

 -- David Ward <david.ward@gatech.edu>  Mon, 02 Jan 2023 19:51:20 -0500

pivy (0.6.5-1build6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:50:19 +0000

pivy (0.6.5-1build5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2021 00:20:12 +0200

pivy (0.6.5-1build4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:23:52 +0100

pivy (0.6.5-1build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:02:06 +0100

pivy (0.6.5-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:18 +0100

pivy (0.6.5-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 10:41:57 +0100

pivy (0.6.5-1) unstable; urgency=medium

  * [2ac31f3] Remove upstreamed patches (all)
  * [b62ef60] Update d/watch to new Github upstream
  * [da6fa49] Update homepage
  * [03ae26c] Add Rules-Requires-Root: no
  * [0d19e64] New upstream version 0.6.5
  * [5249b08] Don't hardcode Python version (Closes: #949970)

 -- Kurt Kremitzki <kurt@kwk.systems>  Mon, 27 Jan 2020 20:37:31 -0600

pivy (0.6.4-2) unstable; urgency=medium

  * Team upload.
  * [b68f72b] Drop Python 2 support (Closes: #937295)
  * [a612bc1] Enable autopkgtest-pkg-python testsuite
  * [0bb2697] d/copyright: Change Format URL to correct one
  * [d22c3d7] Use debhelper-compat instead of debian/compat
  * [ea65f6c] Bump standards version to 4.4.1
  * [738d410] Bump debhelper compat level to 12

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Oct 2019 10:18:43 +0100
