=== debian/changelog ===
pivy (0.6.7-0.1ubuntu0.1) kinetic; urgency=medium

  * Fix exception in pivy cast functions with Python 3.10 (LP: #2000840)

 -- David Ward <david.ward@gatech.edu>  Mon, 02 Jan 2023 20:35:44 -0500

pivy (0.6.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Improved Python 3.10 compatibility. (Closes: #1009037)

 -- Adrian Bunk <bunk@debian.org>  Wed, 11 May 2022 22:08:30 +0300
