=== debian/changelog ===
pivy (0.6.8-1) unstable; urgency=medium

  [ Georges Khaznadar ]
  * integrated properly Adrian Bunk's entry in debian/changelog about
    release 0.6.7-0.1
  * bumped debhelper-compat's version back to 13
  * added a file debian/salsa-ci.yml to enable continuous integration

  [ Kurt Kremitzki ]
  * [0d14479] New upstream version 0.6.8
  * [91f4814] Use my @d.o address for uploader

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 03 Nov 2022 22:47:07 -0500

pivy (0.6.6-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Non-maintainer upload
  * [c4162d7] New upstream version 0.6.6
  * [9184ba1] Updated to dh version 13

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Fri, 04 Mar 2022 16:12:08 +0200
