=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pivy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kurt@kwk.systems>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kkremitzki@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dbg,
                python3-all-dev,
