=== debian/changelog ===
pivy (0.6.9~a0-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:48:44 +0000

pivy (0.6.9~a0-1build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:01 +0100

pivy (0.6.9~a0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:00 +1100

pivy (0.6.9~a0-1build1) noble; urgency=high

  * No change rebuild against libsoqt520t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:12 +0100

pivy (0.6.9~a0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [77e466d] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * [b258293] Update standards version to 4.6.1, no changes needed.

  [ Kurt Kremitzki ]
  * [aecd01a] New upstream version 0.6.9~a0 (Closes: #1055697)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 14 Jan 2024 23:26:18 -0600
