=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pivy
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Kurt Kremitzki <kkremitzki@debian.org>
 Section: python
 Priority: optional
@@ -21,7 +22,7 @@
                qt5-qmake,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/pivy
 Vcs-Git: https://salsa.debian.org/science-team/pivy.git
