=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export PYBUILD_NAME=pivy
 export PYBUILD_SYSTEM=distutils
 export PYBUILD_INTERPRETERS=python{version} python{version}-dbg
-export PYBUILD_VERSIONS=2.7 3.7
 export PYBUILD_DISABLE=test
 export PYBUILD_BEFORE_BUILD=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
 export PYBUILD_BEFORE_INSTALL=find {dir} -name soqt_wrap.cpp -delete; find {dir} -name coin_wrap.cpp -delete
@@ -15,7 +14,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	cd fake_headers && touch cstddef cstdarg cassert
